@charset "utf-8";

html {
    overflow-x: hidden;
}

.sec-main .inner {
    margin: 0 0 0 2%;
    display: grid;
    grid-template-columns: 25% auto;
}

.sidemenu-col {
    position: relative;
    padding-top: 64px;
    border-right: 1px solid #707070;
}

.sidemenu {
    display: flex;
    flex-direction: column;

}

.sidemenu .select-options {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.sidemenu .select-options a {
    transition: .4s ease;
}

.sidemenu .select-options a:hover {
    opacity: 50%;
}

.sidemenu .has-child {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.sidemenu .has-child .child-menu {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.sidemenu .ttl {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;
    font-size: 15px;
    line-height: 21px;
    color: #023684;
    margin-bottom: 13px;
}

.sidemenu .menu-item {
    display: flex;
    align-items: center;
    gap: 10px;
}

.sidemenu .menu-item p {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;
    font-size: clamp(0.875rem, 0.845rem + 0.13vw, 1rem);
    line-height: clamp(1.688rem, 1.657rem + 0.13vw, 1.813rem);
    color: #000;
}

.child-menu .menu-item p {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;
    font-size: clamp(0.875rem, 0.845rem + 0.13vw, 1rem);
    color: #023684;
}

.child-menu .menu-item {
    padding-left: 24px;
    position: relative;
}

.child-menu .menu-item::before {
    content: "";
    width: 13px;
    height: 4px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 8px;
    margin: auto;
    background-color: #023684;
}

.sidemenu.is-fixed {
    position: fixed;
    top: 120px;

}

.sidemenu.is-stop {
    position: absolute;
    top: auto;
    bottom: 295px;
}

.main-contents .inner {
    display: block;
    padding: 64px 0 60px 0;
    margin: 0 4% 0 4%;
}

.service {
    position: relative;
    padding: 80px 4% 40px;
    z-index: 1;
}

.service::before {
    content: "";
    width: 100svw;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(255, 255, 255, .55);
    z-index: -1;
}

.service .sec-title {
    text-align: left !important;
    margin-bottom: 32px;
}



.service .system-slider {
    width: 100%;

    margin-left: 0;
    display: grid;
    grid-template-columns: max-content 126px;
    gap: 8px;
    padding-bottom: 40px;
    margin-bottom: 32px;
    border-bottom: 1px solid #acacac;
}

/* ===== メイン ===== */
.service .system-main {
    max-width: 544px;
    width: 100%;
    height: 298px;
    filter: drop-shadow(0px 3px 6px rgba(0, 0, 0, 0.16));
}



.service .system-main img {
    max-width: 544px;
    width: 100%;
    height: auto;
}

/* ===== サムネ ===== */
.service .system-thumb {
    height: 298px;

}

.service .system-thumb .swiper-slide {
    height: 70px;
    cursor: pointer;
    opacity: 0.5;
    transition: opacity .3s ease;
}

.service .system-thumb .swiper-slide.is-active {
    opacity: 1;
}

.service .system-thumb img {
    width: 100%;
    border: 2px solid transparent;
    object-fit: cover;
    aspect-ratio: 5 / 3;
}

.service .system-thumb .swiper-slide.is-active img {
    border-color: #005AAA;
}

/* ===== SP ===== */
@media (max-width: 900px) {
    .service .system-slider {
        display: flex;
        flex-direction: column;
        gap: 12px;
    }

    .service .system-main,.service .system-thumb {
        height: auto;
    }


}



.service .features {
    padding-bottom: 40px;
    border-bottom: 1px solid #bababa;
    margin-bottom: 40px;
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: flex-start;
}

.service .features .item {
    display: grid;
    grid-template-columns: 10% auto;
    width: 100%;
    gap: 20px;
    align-items: flex-start;
}

.service .features .item .ttl {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;
    font-size: clamp(0.875rem, 0.845rem + 0.13vw, 1rem);
    line-height: clamp(1.688rem, 1.612rem + 0.32vw, 2rem);
    text-align: center;
    padding: 0 8px;
    color: #fff;
    border-radius: 15px;
    background-color: #023684;
}

.service .features .item .text {
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: flex-start;
}

.service .features .item .text .main {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 500;
    font-size: 20px;
    text-align: left;
    color: #023684;
}

.service .features .item .text .desc p {
    font-weight: 500;
    font-size: 14px;
    line-height: 25px;
}

.service .btnarea {
    display: flex;
    align-items: center;
    gap: 48px;
}

.service .btnarea .morebtn {
    border-radius: 9px;
    max-width: 427px;
    width: 50%;
}

.child-menu .menu-item {
    padding-left: 32px;
}

@media (max-width: 1200px) {
    .sec-main .inner {
        margin: auto;
        max-width: 100%;
    }

    .sidemenu-col {
        border-right: none;
        transition: transform 0.3s ease;

        padding: 0;
    }

    .sidemenu-col.is-fixed {
        position: fixed;
        left: 0;
        right: 0;
        margin: auto;
        z-index: 1000;
        width: calc(100% - 16px);
    }

    .sidemenu .ttl {
        display: none;
    }

    .sec-main .inner {
        position: relative;
        display: flex;
        flex-direction: column;
        gap: 0;
        margin: 0;
    }

    /* ▼ セレクト見た目 */
    .select-trigger {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 14px 16px;
        border: 1px solid #ccc;
        background: #fff;
        cursor: pointer;
    }

    .select-trigger .arrow {
        width: 8px;
        height: 8px;
        border-right: 2px solid #333;
        border-bottom: 2px solid #333;
        transform: rotate(45deg);
        transition: transform .3s ease;
    }

    .js-select.is-open .arrow {
        transform: rotate(-135deg);
    }

    /* ▼ 中身（ドロップ部分） */
    .js-select-content {
        max-height: 0;
        overflow: hidden;
        border: 1px solid #ccc;
        border-top: none;
        background: #fff;
        transition: max-height .4s ease;
    }

    .js-select.is-open .js-select-content {
        max-height: 1000px;
    }

    .sidemenu .select-options {
        width: 90%;
        margin: auto;
        padding: 30px 0;
        gap: 15px;
    }





}

/* PCでは普通に表示 */
@media (min-width: 1201px) {
    .select-trigger {
        display: none;
    }

    .js-select-content {
        max-height: none !important;
        border: none;
    }
}

@media (max-width: 960px) {
    .sidemenu-col.is-fixed {
        width: calc(100% - 8px);
    }

    .service {
        padding: 60px 3%;
    }

    .service .btnarea {
        flex-direction: column;
        gap: 10px;
        align-items: flex-start;
    }

    .service .btnarea .morebtn {
        max-width: none;
        width: 100%;
    }

    .service .features .item {
        display: flex;
        flex-direction: column;
        gap: 16px;
    }


    .service .system-thumb {
        width: 100%;
    }
}

.gjs-dashed .js-select-content {
    overflow: visible;
    max-height: max-content;
}

.gjs-dashed .swiper-wrapper {
    flex-direction: column;
}

.gjs-dashed .swiper-slide {
    flex-shrink: unset;
}

.gjs-dashed .service .system-thumb,
.gjs-dashed .service .system-main,.service .system-thumb .swiper-slide {
    height: auto;
}